Create Automation
curl --request POST \
--url https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/automations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"attributes": {
"definition": {
"nodes": [
{
"config": {
"context_keys": [
"<string>"
],
"template_id": "<string>",
"template_ref": "<string>"
},
"id": "<string>",
"type": "send_email"
}
],
"edges": [
{
"from": "<string>",
"to": "<string>",
"branch_label": "<string>"
}
],
"triggers": [
{
"event_type": "<string>",
"entry_filter": {
"groups": [
{
"conditions": [
{
"operator": "<string>",
"type": "email",
"value": {
"text": "<string>"
}
}
],
"logic": "AND"
}
],
"version": 1
}
}
]
},
"name": "<string>",
"re_entry_interval_seconds": 1073741824,
"re_entry_mode": "never",
"settings": {}
},
"type": "automations"
}
}
'import requests
url = "https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/automations"
payload = { "data": {
"attributes": {
"definition": {
"nodes": [
{
"config": {
"context_keys": ["<string>"],
"template_id": "<string>",
"template_ref": "<string>"
},
"id": "<string>",
"type": "send_email"
}
],
"edges": [
{
"from": "<string>",
"to": "<string>",
"branch_label": "<string>"
}
],
"triggers": [
{
"event_type": "<string>",
"entry_filter": {
"groups": [
{
"conditions": [
{
"operator": "<string>",
"type": "email",
"value": { "text": "<string>" }
}
],
"logic": "AND"
}
],
"version": 1
}
}
]
},
"name": "<string>",
"re_entry_interval_seconds": 1073741824,
"re_entry_mode": "never",
"settings": {}
},
"type": "automations"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
attributes: {
definition: {
nodes: [
{
config: {context_keys: ['<string>'], template_id: '<string>', template_ref: '<string>'},
id: '<string>',
type: 'send_email'
}
],
edges: [{from: '<string>', to: '<string>', branch_label: '<string>'}],
triggers: [
{
event_type: '<string>',
entry_filter: {
groups: [
{
conditions: [{operator: '<string>', type: 'email', value: {text: '<string>'}}],
logic: 'AND'
}
],
version: 1
}
}
]
},
name: '<string>',
re_entry_interval_seconds: 1073741824,
re_entry_mode: 'never',
settings: {}
},
type: 'automations'
}
})
};
fetch('https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attributes": {
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"current_version_id": "<string>",
"hub_id": "<string>",
"name": "<string>",
"re_entry_interval_seconds": 123,
"re_entry_mode": "<string>",
"settings": {},
"status": "<string>",
"team_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
},
"id": "<string>",
"type": "automations"
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}automations
Create Automation
Create a new draft automation in hub hub_id.
The definition is stored as a draft; it is NOT validated until
POST /automations/{id}/publish is called. Returns 201 on
success.
POST
/
api
/
v1
/
teams
/
{team_id}
/
hubs
/
{hub_id}
/
automations
Create Automation
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/vnd.api+json
Show child attributes
Show child attributes
Response
Successful Response
Show child attributes
Show child attributes
⌘I